@if(isOpen){
<div class="animate-fadeIn fixed top-0 left-0 w-full h-full z-50 flex items-center justify-center bg-gray-900 bg-opacity-50">
  <div class="bg-white py-4 px-6 rounded shadow-md delay-230">
    <div>
      <div class="flex justify-between items-center gap-5 text-xl">
        <h2 class="font-bold">{{ title }}</h2>
        <i class="fa-solid fa-xmark text-black text-right cursor-pointer" (click)="close()"></i>
      </div>
      <ng-content></ng-content>
    </div>
  </div>
</div>
}